import os
import jcmwave
import sys

failures = list();
for root, dir, files in os.walk("."):
  if os.path.isfile(os.path.join(root, 'layout.jcm')):
    sys.stdout.write('\n'+root)
    try: 
      jcmwave.geo(root, show=2)
      sys.stdout.write('...ok');
    except: 
      sys.stdout.write('...Failed')
      failures.append(root)

if len(failures)==0: print('\nCongratulation all ok!');
else: 
  print('\nThe following examples failed: ')
  for iF in failures:
    print(iF)

